



////////////////////////////////////////////////////////////////////////////

float4 vs_BBox(float4 position : POSITION0) : POSITION0
{
    float4 posWorld = mul(position, matW);
	return mul(posWorld, matVP);
}

//Pixel Shader
float4 ps_BBox(float4 position : POSITION0) : COLOR0
{
	return float4(1.0f, 0.0f, 0.0f, 1.0f);
}

technique BoundingBox_2_0
{
    pass P0
    {
		CullMode = CCW;
		StencilEnable = false;
        VertexShader = compile vs_2_0 vs_BBox();
        PixelShader  = compile ps_2_0 ps_BBox();        
    }
}

technique BoundingBox_1_1
{
    pass P0
    {
		Lighting = true;		
		StencilEnable = false;
        VertexShader = compile vs_1_1 vs_BBox();
        PixelShader  = compile ps_1_1 ps_BBox();        
    }
}

technique BoundingBox_FFP
{
    pass P0
    {
		Lighting = true;	
		StencilEnable = false;
		WorldTransform[0] = <matW>;
		ViewTransform = <matV>;
		ProjectionTransform = <matP>;			
    }
}

